Loading...
Searching...
No Matches
button_state Struct Reference

State while recording buttons, privates besides commented. More...

`#include <irrecord.h>`

## Public Attributes

struct ir_ncode | ncode
| Recorded button, valid on STS_BTN_BUTTON_DONE.
char | message [128]
| Error message, valid on STS_BTN_*_ERROR.
int | retval
char | buffer [BUTTON]
char * | string
lirc_t | data
lirc_t | sum
unsigned int | count
int | flag
int | no_data
int | started_as_root

## Detailed Description

State while recording buttons, privates besides commented.

Definition at line 236 of file irrecord.h.

## Member Data Documentation

## buffer

char button_state::buffer[BUTTON]

Definition at line 242 of file irrecord.h.

## count

unsigned int button_state::count

Definition at line 246 of file irrecord.h.

## data

lirc_t button_state::data

Definition at line 244 of file irrecord.h.

## flag

int button_state::flag

Definition at line 247 of file irrecord.h.

## message

char button_state::message[128]

Error message, valid on STS_BTN_*_ERROR.

Definition at line 240 of file irrecord.h.

## ncode

struct ir_ncode button_state::ncode

Recorded button, valid on STS_BTN_BUTTON_DONE.

Definition at line 238 of file irrecord.h.

## no_data

int button_state::no_data

Definition at line 248 of file irrecord.h.

## retval

int button_state::retval

Definition at line 241 of file irrecord.h.

## started_as_root

int button_state::started_as_root

Definition at line 249 of file irrecord.h.

## string

char* button_state::string

Definition at line 243 of file irrecord.h.

## sum

lirc_t button_state::sum

Definition at line 245 of file irrecord.h.

The documentation for this struct was generated from the following file:

- irrecord.h